# Need an example of a divergent alternating series

April 15, 2009 12:53 PM Subscribe

I'm looking for an example of an alternating series: the terms of which are (-1)^n b_n, where b_n -> 0 as n -> infinity, but the sequence {b_n} is

I'm asking, of course, because in all my calculus textbooks the Alternating Series Test requires that the sequence be decreasing. Ideally the example I'm looking for isn't just decreasing 'eventually' (e.g. for all n > some M) but is perpetually non-monotonic.

*not*decreasing, and the sum from n=1 to infinity*diverges*.I'm asking, of course, because in all my calculus textbooks the Alternating Series Test requires that the sequence be decreasing. Ideally the example I'm looking for isn't just decreasing 'eventually' (e.g. for all n > some M) but is perpetually non-monotonic.

Oh the irony of procrastinating at my own math to help people with theirs. :) Anyway!

b_n = ((-1)^n)/n.

posted by metastability at 1:20 PM on April 15, 2009 [1 favorite]

b_n = ((-1)^n)/n.

posted by metastability at 1:20 PM on April 15, 2009 [1 favorite]

Response by poster: Sorry, I should have specified that I need b_n > 0 for all n.

I feel intuitively that the (eventually) decreasing part is irrelevant too, so an answer like "such an example doesn't exist, and here's why" would be great.

posted by evinrude at 1:23 PM on April 15, 2009

I feel intuitively that the (eventually) decreasing part is irrelevant too, so an answer like "such an example doesn't exist, and here's why" would be great.

posted by evinrude at 1:23 PM on April 15, 2009

I was thinking about that one metastability, since the sum of 1/n diverges. But if it's alternating like that, it seemed to me by grouping the terms, it looks like it converges?

e.g. 1/(n+1) - 1/n = -1/(n^2 +n) whose

Maybe if all the even b_ns were 0, or something, it would work, though. Hmmm.

posted by losvedir at 1:26 PM on April 15, 2009

e.g. 1/(n+1) - 1/n = -1/(n^2 +n) whose

*does*converge, right? So if you group ((-1)^n)/n by pairs going down the line, it seems like the sum doesn't diverge? And it's not really a rearrangement where weird things happen...Maybe if all the even b_ns were 0, or something, it would work, though. Hmmm.

posted by losvedir at 1:26 PM on April 15, 2009

Hrm. All of the references that I can find list the monotonicity as a requirement.

posted by vernondalhart at 1:28 PM on April 15, 2009

posted by vernondalhart at 1:28 PM on April 15, 2009

Wait, how can the sequence be positive and go to zero and not be decreasing?

posted by losvedir at 1:33 PM on April 15, 2009

posted by losvedir at 1:33 PM on April 15, 2009

Ah!

Consider the sequence 0, 1, 0, 1/2, 0, 1/3, 0, 1/4, ...

Then this sequence tends to zero, but is not monotonic. However, the alternating sum of this is just the harmonic series which diverges.

posted by vernondalhart at 1:34 PM on April 15, 2009

Consider the sequence 0, 1, 0, 1/2, 0, 1/3, 0, 1/4, ...

Then this sequence tends to zero, but is not monotonic. However, the alternating sum of this is just the harmonic series which diverges.

posted by vernondalhart at 1:34 PM on April 15, 2009

nice one vernondalhart.

posted by metastability at 1:42 PM on April 15, 2009

posted by metastability at 1:42 PM on April 15, 2009

Best answer: vernondalhart: That doesn't meat the requirement that b_n > 0 for all n.

How about this:

1 - 1 + 1/2 - 1/4 + 1/3 - 1/9 + ...

The even (negative) terms will be the 1/n^2 sequence, and the positive (odd) terms will be the harmonic series.

Near as I can tell, this series should diverge, since if we group the terms by twos (which is always allowed), we get the series:

1/4 + 2/9 + 3/16 + ...

Which is n/(n+1)^2, which diverges by limit comparison test with the harmonic series.

posted by King Bee at 1:55 PM on April 15, 2009

How about this:

1 - 1 + 1/2 - 1/4 + 1/3 - 1/9 + ...

The even (negative) terms will be the 1/n^2 sequence, and the positive (odd) terms will be the harmonic series.

Near as I can tell, this series should diverge, since if we group the terms by twos (which is always allowed), we get the series:

1/4 + 2/9 + 3/16 + ...

Which is n/(n+1)^2, which diverges by limit comparison test with the harmonic series.

posted by King Bee at 1:55 PM on April 15, 2009

King bee -

Fair enough, although I would assume that the requirement is actually that b

posted by vernondalhart at 1:59 PM on April 15, 2009

Fair enough, although I would assume that the requirement is actually that b

_{n}>= 0, which is the actual requirement for the alternating series test. However, it can be remedied by choosing any sequence which goes to zero fast enough, and putting it in the place of the zero terms, as you do.posted by vernondalhart at 1:59 PM on April 15, 2009

Well, the OP wanted all the terms to be nonzero, that's why I gave my example, but you are right. Replacing the the zeroes with anything which is o(n) probably does the trick.

posted by King Bee at 2:00 PM on April 15, 2009

posted by King Bee at 2:00 PM on April 15, 2009

Either which way, problem solved. Cookies all around!

posted by vernondalhart at 2:05 PM on April 15, 2009

posted by vernondalhart at 2:05 PM on April 15, 2009

Theorem 3.42 from baby Rudin:

Suppose the b_n's (all positive) are decreasing, and lim b_n = 0. Then sum (-1)^n b_n converges.

Let's see where the proof uses decreasing, to see if that hypothesis could possibly be weakened.

Given epsilon > 0, there is an integer N st b_N <>

| sum_{n from p to q} (-1)^n b_n | = | sum_{n from p to q-1} (-1)^n(b_n - b_{n+1}) + (-1)^qb_q - (-1)^{p-1}b_p |

leq |sum_{n from p to q-1}(b_n - b_{n+1}) + b_q + b_p |

= 2b_p leq 2b_N leq epsilon.

Convergence now follows from the Cauchy criterion. The first inequality in the above chain is where decreasing is used.

I don't see a way to modify that proof, but maybe someone else does?

posted by metastability at 2:08 PM on April 15, 2009

Suppose the b_n's (all positive) are decreasing, and lim b_n = 0. Then sum (-1)^n b_n converges.

Let's see where the proof uses decreasing, to see if that hypothesis could possibly be weakened.

Given epsilon > 0, there is an integer N st b_N <>

| sum_{n from p to q} (-1)^n b_n | = | sum_{n from p to q-1} (-1)^n(b_n - b_{n+1}) + (-1)^qb_q - (-1)^{p-1}b_p |

leq |sum_{n from p to q-1}(b_n - b_{n+1}) + b_q + b_p |

= 2b_p leq 2b_N leq epsilon.

Convergence now follows from the Cauchy criterion. The first inequality in the above chain is where decreasing is used.

I don't see a way to modify that proof, but maybe someone else does?

posted by metastability at 2:08 PM on April 15, 2009

preview, damn!

posted by metastability at 2:10 PM on April 15, 2009

posted by metastability at 2:10 PM on April 15, 2009

King Bee: Grouping the terms is

1 - 1 + 1 - 1 + 1 - 1 + ... diverges pretty clearly, but

(1 - 1) + (1 - 1) + (1 - 1) + ... = 0 + 0 + 0 + ... converges.

Now, that isn't to say that your example doesn't work, but your reasoning is faulty.

posted by TypographicalError at 3:40 PM on April 15, 2009

**not not not**allowed.1 - 1 + 1 - 1 + 1 - 1 + ... diverges pretty clearly, but

(1 - 1) + (1 - 1) + (1 - 1) + ... = 0 + 0 + 0 + ... converges.

Now, that isn't to say that your example doesn't work, but your reasoning is faulty.

posted by TypographicalError at 3:40 PM on April 15, 2009

Hm. Pulled out

posted by TypographicalError at 3:45 PM on April 15, 2009

**Counterexample in Analysis**and on this topic they give the example King Bee did, without proof. :(posted by TypographicalError at 3:45 PM on April 15, 2009

Response by poster: It's pretty straightforward to show that King Bee's example works (I had to verify it myself since I wasn't sure I believed in grouping terms by two willy-nilly) -- the sequence of partial sums contains an unbounded subsequence (the even-indexed partial sums can be grouped by twos...) and therefore cannot converge.

posted by evinrude at 4:44 PM on April 15, 2009

posted by evinrude at 4:44 PM on April 15, 2009

TypographicalError: Grouping is always allowed. I stake my years of teaching Calc II to wannabe engineers on it.

In fact, it's the way you show that the harmonic series diverges before you have any of the "tests" that one uses to show convergence/divergence. You can read the wikipedia article (although not a

posted by King Bee at 9:51 PM on April 15, 2009

In fact, it's the way you show that the harmonic series diverges before you have any of the "tests" that one uses to show convergence/divergence. You can read the wikipedia article (although not a

**definitive**source) if you don't believe me.posted by King Bee at 9:51 PM on April 15, 2009

OK, the real deal on when you're allowed to group things in divergent series is

So, in order to group things the way I want to, I would need to look at partial sums, and show you that given

However, what I can do is

0 + 1/4 + 2/9 + 3/16 + ...

Then take each term and split it up like this:

(1 - 1) + (1/2 - 1/4) + (1/3 - 1/9) + ...

which gives me what I want. This is allowed, and the two must be equal (but I can't change the grouping once I introduce negative signs). Well, "equal" inasmuch as two limits which diverge are ever "equal".

posted by King Bee at 5:11 AM on April 16, 2009

**not**always. However, you are allowed to group things in a series that is divergent and not bounded. If everything in sight is positive, this means you can group willy nilly (and this is what I was thinking about, but you are right). Care must be exercised when you have negative things present.So, in order to group things the way I want to, I would need to look at partial sums, and show you that given

*M*, there is*N*such that for all*n > N*, the*n*th partial sum exceeds*M*. In other words, show it diverges.However, what I can do is

**start**with the series whose terms are n/(n+1)^2, and get this:0 + 1/4 + 2/9 + 3/16 + ...

Then take each term and split it up like this:

(1 - 1) + (1/2 - 1/4) + (1/3 - 1/9) + ...

which gives me what I want. This is allowed, and the two must be equal (but I can't change the grouping once I introduce negative signs). Well, "equal" inasmuch as two limits which diverge are ever "equal".

posted by King Bee at 5:11 AM on April 16, 2009

Back to something more like what vernondalhart and I were talking about, we could take the positive terms to be something that goes to zero really slowly; I'm thinking 1/ln(n) should do the trick. Let the negative terms be something that goes to zero super fast; I'm thinking 1/n! should do the trick.

Looking at partial sums, after I believe the eighth or ninth partial sum exceeds that of the harmonic series (and continues to exceed it), so this series will diverge. I know this isn't rigorous at the moment, but it gets around the grouping problem.

posted by King Bee at 5:32 AM on April 16, 2009

Looking at partial sums, after I believe the eighth or ninth partial sum exceeds that of the harmonic series (and continues to exceed it), so this series will diverge. I know this isn't rigorous at the moment, but it gets around the grouping problem.

posted by King Bee at 5:32 AM on April 16, 2009

Response by poster: King Bee: the series you gave works just fine. We know that 1 + 1/4 + 1/9 +... = some finite L. We know that 1 + 1/2 + 1/3 + 1/4 + ... converges.

For any M>0, there exists an n such that 1 + 1/2 + 1/3 + ... + 1/n > M + L. Then the (2n)th partial sum of the series you gave must be > M + L - L = M. Therefore the partial sums contain an unbounded subsequence and therefore cannot themselves converge.

posted by evinrude at 7:08 AM on April 16, 2009

For any M>0, there exists an n such that 1 + 1/2 + 1/3 + ... + 1/n > M + L. Then the (2n)th partial sum of the series you gave must be > M + L - L = M. Therefore the partial sums contain an unbounded subsequence and therefore cannot themselves converge.

posted by evinrude at 7:08 AM on April 16, 2009

Response by poster: Obviously in my first paragraph I meant to say the harmonic series DIVERGES.

posted by evinrude at 7:08 AM on April 16, 2009

posted by evinrude at 7:08 AM on April 16, 2009

evinrude: Thanks for fixing my argument. This has been a cool discussion. I'm teaching Calc II again in the summer, and I think I'll incorporate these ideas.

posted by King Bee at 8:09 AM on April 16, 2009

posted by King Bee at 8:09 AM on April 16, 2009

This thread is closed to new comments.

_{n}tends to zero for the series to converge, but I can't recall why that is. I'm pretty sure that (eventually) decreasing is irrelevant.posted by vernondalhart at 1:10 PM on April 15, 2009